import request from '@/utils/request'

// 查询广告列表
export function listPoster(query) {
  return request({
    url: '/netEwm/poster/list',
    method: 'get',
    params: query
  })
}

// 查询广告详细
export function getPoster(id) {
  return request({
    url: '/netEwm/poster/' + id,
    method: 'get'
  })
}

// 新增广告
export function addPoster(data) {
  return request({
    url: '/netEwm/poster',
    method: 'post',
    data: data
  })
}

// 修改广告
export function updatePoster(data) {
  return request({
    url: '/netEwm/poster',
    method: 'put',
    data: data
  })
}

// 删除广告
export function delPoster(id) {
  return request({
    url: '/netEwm/poster/' + id,
    method: 'delete'
  })
}
